## schooltool-book 2.4~a3ubuntu1

=== debian/changelog ===
schooltool-book (2.4~a3ubuntu1) raring; urgency=low

  * debian/rules, debian/control: use dh_sphinxdoc instead of copied code.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 06 Mar 2013 17:17:18 +0200

schooltool-book (2.4~a3) raring; urgency=low

  * Initial release (LP: #385036)

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 05 Mar 2013 18:19:37 +0200

## schooltool-book 2.4.0

=== debian/changelog ===
schooltool-book (2.4.0) raring; urgency=low

  * Final 2.4 release notes.
  * Added CanDo documentation.
  * Updated release notes table and installation instructions.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 22 Apr 2013 20:34:19 +0300

## schooltool-book 2.4.1

=== debian/changelog ===
schooltool-book (2.4.1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 30 May 2013 20:24:29 +0300

## schooltool-book 2.5.1

=== debian/changelog ===
schooltool-book (2.5.1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 02 Aug 2013 13:45:56 +0300

## schooltool-book 2.5.2

=== debian/changelog ===
schooltool-book (2.5.2) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 25 Aug 2013 18:35:00 +0300

## schooltool-book 2.6.0

=== debian/changelog ===
schooltool-book (2.6.0) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Oct 2013 23:17:46 +0300

schooltool-book (2.5.3) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 14 Sep 2013 02:52:05 +0300

## schooltool-book 2.6.3

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean bootstrap html web pickle htmlhelp latex changes linkcheck upload ubuntu-environment

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*
	-rm -rf python
	-rm -rf bin
	-rm -rf develop-eggs
	-rm -rf parts

html build/html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

upload: build/html
	rsync -vzr --chmod=ug+w -cO build/html/ schooltool.org:/var/www/book.schooltool.org/

ubuntu-environment:
	sudo apt-get install python-sphinx

=== debian/changelog ===
schooltool-book (2.6.3) trusty; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 12 Apr 2014 02:31:32 +0300

schooltool-book (2.6.2) trusty; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 15 Feb 2014 02:45:25 +0200

schooltool-book (2.6.1) trusty; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 17 Dec 2013 19:23:36 +0200

=== debian/control ===
Source: schooltool-book
Priority: optional
Section: doc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python-sphinx (>= 1.0.7+dfsg), doc-base
Standards-Version: 3.9.4

Package: schooltool-book
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Architecture: all
Description: SchoolTool Book
 SchoolTool is an open source, web based student information system designed for
 schools in the developing world, with strong support for translation,
 localization and customization.
 .
 This package contains user documentation for SchoolTool.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	make html

override_dh_compress:
	dh_compress -X_sources

get-orig-source:
	bzr export -r tag:$(VERSION) --root=schooltool-book-$(VERSION).orig \
		schooltool-book_$(VERSION).tar.gz lp:schooltool-book

## schooltool-book 2.6.3ubuntu1

=== debian/changelog ===
schooltool-book (2.6.3ubuntu1) disco; urgency=medium

  * source/.templates/layout.html: Fix path to layout.html to fix FTBFS
    against newer Sphinx.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 21 Jan 2019 20:28:33 -0500
